@import url("../quark/style.css");

/*
 Theme Name:   Resilio quark
 Description:  My quark child theme for Resilio
 Author:       Joona Hämäläinen
 Template:     quark
*/

.col-1 {width: 8.33%;}
.col-2 {width: 16.66%;}
.col-3 {width: 25%;}
.col-4 {width: 33.33%;}
.col-5 {width: 41.66%;}
.col-6 {width: 50%;}
.col-7 {width: 58.33%;}
.col-8 {width: 66.66%;}
.col-9 {width: 75%;}
.col-10 {width: 83.33%;}
.col-11 {width: 91.66%;}
.col-12 {width: 100%;}

:root {
  --light-pink: #F4D4ce;
  --pink: #f7f1f1;
  --dark-blue: #00113E;
  --light-blue: #495e74;
}

p, a, em, strong, span, li, label, button, h1.page-title, nav, select,div {  
  font-family: 'Poppins', sans-serif;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Roboto Mono', monospace;
  font-weight: 400;
}
a:hover, a:active, a:focus, button:hover, button:active, button:focus, input:hover, input:active, input:focus, textarea:hover, textarea:active, textarea:focus {
  outline:none;
}


/*** HEADER ***/
#headercontainer {
  position: fixed; 
  height:80px;
  z-index: 100;
  background:var(--pink);
  -webkit-transition: all 200ms ease-in-out;
  -moz-transition: all 200ms ease-in-out;
  -o-transition: all 200ms ease-in-out;
  -ms-transition: all 200ms ease-in-out;
  transition: all 200ms ease-in-out;
}
.site-header {
  max-width: 100%;
  padding:0px 40px;
  width:100%;
  height:80px;
  position: relative;
  -webkit-transition: all 200ms ease-in-out;
  -moz-transition: all 200ms ease-in-out;
  -o-transition: all 200ms ease-in-out;
  -ms-transition: all 200ms ease-in-out;
  transition: all 200ms ease-in-out;
}
.site-title {
  position: absolute;
  top: 50%;
  left: 40px;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  z-index: 100;
}
.site-title a {
  font-size: unset;
}
.site-title img {
  max-width: 120px;
  /*filter: brightness(0%);*/
}


/*** DESKTOP NAVIGATION ***/
.desktop-menu {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
            transform: translate(-50%,-50%);
    z-index: 1;
    width:100%;
    text-align: center;
}
.main-navigation {
    margin:0;
    width:100%;
    text-align: center;
}
.main-navigation li.menu-item-has-children > a:after {
    display: none;
}
.main-navigation ul li {
    padding:0px 14px;
    float: none;
    list-style-type: none;
    display: inline-block;
    position: relative; 
    margin-left: 0;
    margin-right:6px;
    background:none !important;
}
.main-navigation ul li:last-of-type {
  margin-right: 0;
}
.main-navigation ul li a {
    font-size: 16px;
    letter-spacing: 0.4px;  
    font-weight: 500;
    position: relative;
    color: var(--dark-blue) !important;
    text-decoration: none;
    z-index: 3;
    padding: 12px 2px;
    background:none !important;
    transition: 0.2s all ease-in-out;
}
.main-navigation ul li a:hover {
    color:var(--light-blue) !important;
}
.main-navigation ul ul {
    position: fixed;
    display: block;
    opacity: 0;
    visibility: hidden;
    padding: 0;
    left:50%;
    transform: translateX(-50%);
    min-height: 500px;
    width: 940px;
    top: 64px;
    background: #fff;
    padding: 40px;
    transition: 0.2s all ease-in-out;
    text-align: left;
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.06);
}
.main-navigation .menu-item-has-children:before {
    content: '';
    width: 100%;
    height: 30px;
    position: absolute;
    bottom: -30px;
}
.main-navigation .menu-item-has-children:after {
  content:'+';
  font-size: 16px;
  font-weight: 600;
  color:var(--dark-blue) !important;
  position: absolute;
  right:0;
  top:50%;
    margin-top:1px;
    z-index: 1;
  transform: translateY(-50%);
    transition: all 0.2s ease-in-out;
}
.main-navigation .menu-item-has-children:hover:after {
    color:var(--light-blue) !important;
}
.main-navigation ul li:hover > ul {
    opacity: 1;
    visibility: visible;
    margin-top:0;
}
.main-navigation ul ul li {
  display: block;
  width: 50%;
}
.main-navigation ul ul li a {
    display: block;
    width:unset;
    color: #000 !important;
    padding: 14px 10px;
    transition: 0.2s all ease-in-out;
}
.main-navigation ul ul ul {
    background: var(--pink);
    position: fixed;
    left: 75%;
    width:50%;
    height: 100%;
    top: 0;
    box-shadow: none;
}
.main-navigation ul ul ul li {
    width: 100%;
}
.main-navigation ul ul li.menu-item-has-children:after {
    right: 40px;
    color:#000 !important; 
}
.main-navigation ul li.current-menu-item > a {
    color: var(--light-blue) !important;
}
.overlay .current-menu-item > a {  
    color: var(--light-blue) !important;
}
.overlay .current-menu-item > a {  
    border-left: solid 1px var(--dark-blue);
}

/*** BANNER ***/
.banner-container {
  position: relative;
  overflow:hidden;
  background-repeat: no-repeat !important;
  background-position: center 0 !important; 
  background-size:cover !important;
  height: 100vh;
}
.banner-content-container {
  height: 100%;
  max-width: 1400px; 
  margin: 0 auto; 
  position: relative;
}
.banner-content {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%,-50%); 
      -ms-transform: translate(-50%,-50%); 
          transform: translate(-50%,-50%); 
  width: calc(48% - 20px);
  z-index: 1;
  text-align:center;
}
.banner-content h1 {
  font-size: 112px;
  font-weight: bold;
  color: #fff;
  text-align: center;   
}
.banner-content a {
    background: var(--dark-blue);
    display: inline-block;
    text-decoration: none;
    padding: 14px 30px;
    color: #fff;
    letter-spacing: 0.8px;
    font-size: 16px;
    text-transform: uppercase;
    transition: 0.2s all ease-in-out;
}
.banner-content a:hover {
    background:var(--light-pink);
    color:var(--dark-blue);
}
.banner-content-top {
  padding:20px;
}
.banner-content-top img {
  max-width: 300px;
  /*filter: brightness(0%);*/
}
.banner-content-bottom {
  padding:20px;
}
.banner-content-bottom p {
  color: var(--dark-blue);
  letter-spacing: 0.8px;
  font-size: 24px;
  line-height: 1.7;
}
.some-container {
    position: absolute;
    right: 40px;
    bottom: 40px;
    display: flex;
    gap: 10px;
}
.some-container a {
    color: var(--dark-blue);
    font-size: 24px;
    padding: 20px;
    width: 64px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background: var(--pink);
    text-decoration: none;
}

.some-container a:hover {
  color: var(--light-blue);  
}
#scroll-down {
  position: absolute;
  z-index: 1;
  bottom: 20px;
  left: 50%;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
}
#main-content {
  position: relative;
  top:-80px;
}

/*** CONTACT ***/
.contact-container {
  background: var(--light-blue);
}
.contact-container .site-content {
  padding: 30px !important;
}
.grid-33.contact {
  position: relative;
  padding:0px 30px;
  height:37px;
}
.grid-33.contact svg {
  display: inline-block;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
}
.grid-33.contact a {
  position: absolute;
  left: 80px;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  font-size: 14px;
  letter-spacing: 1px;
  color:#fff;
  text-decoration: none;
}

/*** CONTENT ***/
#maincontentcontainer {
  padding-top:80px;  
}
.home #maincontentcontainer {
  padding-top:0;
}
.white-container {
  background:#fff;
}
.blue-container {
  background:linear-gradient(#00113e, var(--dark-blue));
}
.light-container {
  background: var(--pink);
}
.site-content {
  max-width: 1400px;
  width:100%;
  margin:0 auto;
  padding:60px 30px;
}
.home.page .site-content {
  padding:60px 30px;
}
.center {
  text-align: center;
  margin-bottom:40px;
}
.blue-container .center p {
  color:#fff;
}
.site-content p {
  color: #333;
  letter-spacing: 0.8px;
  font-size: 16px;
  line-height: 1.7;
}
.site-content h1 {
  letter-spacing: 0.6px;
  color: var(--dark-blue);
  margin-bottom: 10px;
  font-size:42px;
  position: relative;
}
.site-content h2 {
  letter-spacing: 0.4px;
  color: var(--dark-blue);
  margin-bottom: 10px;
  font-size:36px;
  position: relative;
}
.site-content h3 {
  letter-spacing: 0.2px;
  color: var(--dark-blue);
  margin-bottom: 10px;
  font-size: 28px;
}
.site-content h4 {
  letter-spacing: 0.2px;
  color: var(--dark-blue);
  margin-bottom: 10px;
  font-size: 24px;
}
.grid-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.grid-100 {
  width:100%;
  padding:30px;
}
.grid-50 {
  width:50%;
  padding:30px;
  position: relative;
}
.grid-50.box {
  /*background:linear-gradient(#00113e, var(--dark-blue));*/
  background:var(--pink);
  border-bottom: solid 4px var(--light-blue);
}
.grid-50.box p {
  color:var(--dark-blue);
}
.grid-33 {
  width: calc(33.33% - 20px);
  position: relative;
}
.grid-33.aiheet img {
  height:400px;
  width:100%;
  object-fit: cover;
}

.grid-box-content {
  height:400px;
  width:100%;
  padding:30px;
  position: absolute;
  top:0;
  left:0;
  /*background:linear-gradient(var(--dark-blue), rgba(0, 13, 47, 0.2));*/
  /*background:rgb(73 94 117 / 60%);*/
  background:linear-gradient(to top, rgb(73 94 117 / 70%), rgb(47 63 81 / 90%));
}
.grid-box-content h4 {
  color: #fff;
  font-size: 22px;
}
.grid-box-content p {
  color: #fff;
  font-size: 14px;
}
.grid-box-content a {
  background: var(--dark-blue);
  display: inline-block;
  font-weight: 500;
  text-decoration: none;
  padding: 14px 30px;
  color: #fff;
  letter-spacing: 0.8px;
  font-size: 16px;
  position: absolute;
  bottom:30px;
  text-transform: uppercase;
  transition: 0.2s all ease-in-out;
}
.grid-box-content a:hover {
  background:var(--light-pink);
  color:var(--dark-blue);
}
.grid-66 {
  width: calc(66.66% - 15px);
}
.grid-66-content {
  padding: 30px;
}
.grid-33-image img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.grid-25 {
  width:calc(25% - 20px);
  position: relative;
}
.grid-25.palvelut img {
  height: 400px;
  width: 100%;
  object-fit: cover;
}
hr {
  /*background:rgba(0,0,0,0.08);*/
  background:var(--pink);
  margin:0 auto;
}
.sininen {
  background: var(--dark-blue);
  padding:30px !important;    
  border-bottom: solid 4px var(--light-blue);
}
.sininen h1, .sininen h2, .sininen h3, .sininen h4, .sininen h5, .sininen h6 {
  color:#fff;
}
.sininen p {
  color:#fff;
}
.sininen a {
  font-weight: bold;
  /*text-decoration: none;*/
  color:#fff
}
.oranssi {
  background:var(--light-pink);
  padding:30px !important;
  border-bottom:solid 4px var(--pink);
}
.oranssi p, .oranssi h1, .oranssi h2, .oranssi h3, .oranssi h4, .oranssi h5, .oranssi h6 {
  color:var(--dark-blue);
}
.oranssi a {
  font-weight: bold;
  /*text-decoration: none;*/
  color:var(--dark-blue);
}
.harmaa {
  background:var(--pink);
  padding:30px !important;
}
.harmaa a {
  font-weight: bold;
  /*text-decoration: none;*/
  color:var(--dark-blue);
}

.valkoinen {
  background:#fff;
  padding:30px !important;
}
.valkoinen a {
  font-weight: bold;
  /*text-decoration: none;*/
  color:var(--dark-blue);
}
.grid-50 img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

/*** GRID TAUSTAKUVILLA ***/
.grid-taustakuvalla {
  position: relative;
  padding:0 !important;
  overflow: hidden;
}
.grid-taustakuvalla .grid-box-content {
  height:300px;
}
.grid-taustakuvalla img {
  height:300px;
  width: 100%;
  object-fit: cover;
}
.grid-taustakuvalla.grid-33 {
  width: calc(33.33% - 20px);
}
.grid-taustakuvalla.grid-50 {
  width:calc(50% - 20px) !important; 
}

/*** FRONT PAGE BLOG POST LISTING ***/
.grid-25.blog-post:first-of-type {
  width:49%;
}
.grid-25.blog-post img {
  height: 400px;
  width: 100%;
  object-fit: cover;
}
.post-date {
  font-size: 11px !important;
  margin-bottom: 10px !important;
}

/*** SUB PAGES ***/
.grid-75 {
  width: calc(75% - 20px);
}
.grid-75.sidemenu-template .grid-container {
  margin-bottom:30px;
}
.grid-75.sidemenu-template .grid-100 {
  padding:0;
}
.grid-75.sidemenu-template .grid-50 {
  padding:0;
}
.page-template-page-templates .grid-33 {
  padding:30px;
}
.page-template-page-templates .grid-33-image {
  padding:0;
  width:33.33%;
}
.page-template-page-templates .grid-66-text {
  width:66.66%;
}
.grid-75 div p:last-of-type {
  margin-bottom:0;
}
.grid-75.sidemenu-template ul, .grid-75.sidemenu-template ol {
  padding-left:30px;
}
.grid-75.sidemenu-template ul li, .grid-75.sidemenu-template ol li {
  color: #333;
  letter-spacing: 1px;
  font-size: 14px;
  line-height: 28px;
}
.grid-75.sidemenu-template ul li {
  list-style-type:disc;
}
.grid-75.sidemenu-template ol li {
  list-style-type:decimal;
}

/*** SUB PAGE MENUS ***/
.menu {
  margin: 0;
  padding: 0;
}
.grid-25.side-menu {
  background: var(--dark-blue);
  padding: 20px;
  height:-moz-fit-content;
  height:-webkit-fit-content;
  height:fit-content;
  border-bottom: solid 4px var(--light-blue);
}
.side-menu-headline {
  font-size: 24px !important;
  color: #fff !important;
  font-weight: 500;
  border-bottom: solid 1px;
  padding-bottom: 10px;
}
.side-menu ul li {
  line-height: 28px;
}
.side-menu ul li a {
  color:#fff;
  text-decoration: none;
  font-size: 14px;
  letter-spacing: 1.4px;
  font-weight: 500;
}
.side-menu .sub-menu {
  padding-left: 14px;
  margin-bottom:16px;
}
.side-menu .sub-menu li a {
  font-size: 12px;
  color:#fff !important;
}
.side-menu .menu-item-has-children a:first-of-type {
    color: var(--light-pink);
}
.side-menu ul li a:hover {
  color:var(--light-pink) !important;
}

/*** BLOG PAGE ***/
.grid-50.blog-post {
    width: 48%;
    margin-bottom: 4%;
}
.grid-50.blog-post img {
    height: 400px;
}
.blog-sidebar ul {
  padding-left:0;
  margin-top:10px;
}
.blog-sidebar ul li {
  list-style-type:none;
}
.blog-sidebar ul li:before {
  content: '';
  background: url(https://www.resilio.fi/wp-content/uploads/2020/04/arrow-right.png) no-repeat;
  background-size: contain;
  width: 20px;
  height: 10px;
  display: inline-block;
}
li.tag {
  display: inline-block;
  padding: 0px 6px;
  margin-bottom: -2px;
}
li.tag:before {
  display: none !important;
}
li.tag a {
  color:#fff !important;
  font-size: 10px !important;
}
li.tag a:hover {
  color:#fff !important;
}
.blog-sidebar a {
    display: inline-block;
    color: #fff;
}
p.category {
    position: absolute;
    bottom: 40px;
    right: 30px;
    margin:0;
}

/*** SINGLE POST ***/
.single-featured-image {
  margin-bottom:20px;
  width:100%;
}

/*.main-navigation .sub-menu {
  display: none !important;
}
.dropdown-container {
  position: absolute;
  background:linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url('https://www.resilio.fi/wp-content/uploads/2020/03/banner-office.jpg');
  background-size: cover;
  background-position: center center;
  width:787px;
  height:400px;
  top:80px;  
  right:80px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  visibility: hidden;
  opacity: 0;
  transition: 0.3s all ease-in-out;
}
.dropdown-container ul.sub-menu li {
    padding: 14px 14px 0px 14px;
    width:400px;
}
.dropdown-menu {
  position: absolute;
  left:0;
  background: linear-gradient(to right, rgba(0, 13, 47, 0.5), transparent);
}
.dropdown-container.johtaminen-ja-esimiestyo-menu {
  background: linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url(https://www.resilio.fi/wp-content/uploads/2020/03/banner-people.jpg);
  background-size: cover;
  background-position: center center; 
}
.dropdown-container.tyohyvinvointi-menu{
  background: linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url(https://www.resilio.fi/wp-content/uploads/2020/03/banner-office.jpg);
  background-size: cover;
  background-position: center center; 
}
.dropdown-container.muutosjohtaminen-menu{
  background: linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url(https://www.resilio.fi/wp-content/uploads/2020/03/banner-hands.jpg);
  background-size: cover;
  background-position: center center; 
}
.dropdown-container.palvelut-menu{
  background: linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url(https://www.resilio.fi/wp-content/uploads/2020/03/darker-banner.jpg);
  background-size: cover;
  background-position: center center; 
}
.dropdown-container.ota-yhteytta-menu{
  background: linear-gradient(rgba(0, 13, 47, 0.7), rgba(0, 13, 47, 0.6)), url(https://www.resilio.fi/wp-content/uploads/2020/03/banner-placeholder.jpg);
  background-size: cover;
  background-position: center center; 
}
.dropdown-container ul {
  margin:0;
  padding:0;
}
.dropdown-container ul li {
  margin:0;
  padding:0;
  position: relative;
  padding:14px 30px 14px 14px;
}
.dropdown-container ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 13px;
  letter-spacing: 1.4px;
  font-weight: 500;
}
.dropdown-container ul li a:hover {
  color:var(--light-blue);  
}
.dropdown-container ul.sub-menu {
  position: absolute;
  left: 100%;
  top: 0;
  width: 100%;
  padding-left:10px;
  display: none;
}
.show-menu {
  visibility: visible;
  opacity: 1;
  transition: 0.3s all ease-in-out;
}
.show-sub-menu {
  display: block !important;
}
.dropdown-container .menu-item-has-children:after {
  content: '';
  border-style: solid;
  border-width: 5px 6px 5px 0;
  border-color: transparent #fff transparent transparent;
  position: absolute;
  right: 12px;
  margin-top: 1px;
  top: 50%;
  -webkit-transform: translateY(-50%) rotate(180deg);
      -ms-transform: translateY(-50%) rotate(180deg);
          transform: translateY(-50%) rotate(180deg);
  cursor: pointer;
}
.dropdown-container .menu-item-has-children:after:hover {
  color:#fff;
}
.main-navigation li:last-of-type:after {
  color:#fff;
}
.show-menu:before {
    content:'';
    border-style: solid;
    border-width: 8px 12px 8px 0;
    border-color: transparent #fff transparent transparent;
    -webkit-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
            transform: rotate(90deg);
    position: absolute;
    z-index: 10000;
    top:-14px;
}
.dropdown-container.johtaminen-ja-esimiestyo-menu.show-menu:before {
    left:111px;
}
.dropdown-container.tyohyvinvointi-menu.show-menu:before {
    left:295px;
}
.dropdown-container.muutosjohtaminen-menu.show-menu:before {
    left:453px;
}
.dropdown-container.palvelut-menu.show-menu:before {
    left:587px;
}
.dropdown-container.ota-yhteytta-menu.show-menu:before {
    left:745px;
}*/

/*** SEARCH ***/
.search-icon {
  cursor:pointer;
  position: absolute;
  right: 40px;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  z-index: 100;
}
.search-container {
  position: relative;
  z-index: 1000;
  background: var(--dark-blue);
  width: 600px;
  padding: 20px;
  display: none;
  float: right;
}
input.search-field {
  width: calc(100% - 160px);
  border: none;
  background: #fff;
  border-radius: 0px;
  height: 50px;
  padding-left: 20px;
  margin-right: -4px;
  font-size: 22px;
  color:#000;
}
input.search-submit {
  width: 90px;
  background: var(--light-blue);
  border: none;
  border-radius: 0px;
  height: 50px;
  color: #fff;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 1px;
}
input.search-submit:hover {
  background:#000;
  color:#fff;
}
button.close-search {
  background: none;
  border: none;
  color:#fff;
  font-weight: bold;
  font-size: 26px;
  position: absolute;
  right: 30px;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 50%;
  width: 40px;
  height: 40px;
  transition: 0.2s all ease-in-out;
}
button.close-search:hover {
  background:rgba(0,0,0,0.05);
  transition: 0.2s all ease-in-out;
}

/*** CONTACT FORM ***/
.wpforms-field {
  overflow: hidden !important;
}
.wpforms-container input {
  height: 50px !important;
  border-radius: 0px !important;
  background: #fff !important;
  border: none !important;
  color: #000 !important;
}
.wpforms-container textarea {
  border-radius: 0px !important;
  background: #fff !important;
  border: none !important;
  padding-top:15px !important;
  color: #000 !important;
}
.wpforms-submit {
  background: var(--light-blue) !important;
  border: none !important;
  padding: 12px 24px !important;
  color: #fff !important;
  text-transform: uppercase !important;
  letter-spacing: 1px !important;
  transition: 0.2s all ease-in-out !important;
}
.wpforms-submit:hover {
  background: var(--light-pink) !important;
  color: var(--dark-blue) !important;
}
.lomake-container {
  display: none;
}
button#toggle-contact {
  background: var(--light-blue);
  display: inline-block;
  text-decoration: none;
  padding: 12px 26px 10px 28px;
  color: #fff;
  letter-spacing: 1px;
  font-size: 14px;
  text-transform: uppercase;
  border: none;
  margin-top:20px;
  margin-bottom: 20px;
}

/*** MOBILE MENU ***/
.mobile-menu {
  float: right;
  position: absolute;
  right: 40px;
  top: 50%;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  display: none;
  z-index: 1002;
  -webkit-transition: all 300ms ease-in-out;
  -moz-transition: all 300ms ease-in-out;
  -o-transition: all 300ms ease-in-out;
  -ms-transition: all 300ms ease-in-out;
  transition: all 300ms ease-in-out;
}
#nav-icon {
  width: 24px;
  height: 16px;
  position: relative;
  z-index: 100; 
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
}
#nav-icon span {
  display: block;
  position: absolute;
  height: 2px;
  width: 24px;
  background: var(--dark-blue);
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}
#nav-icon span:nth-child(1) {
  top: 0px;
}
#nav-icon span:nth-child(2),#nav-icon span:nth-child(3) {
  top: 8px;
}
#nav-icon span:nth-child(4) {
  top: 16px;
}
#nav-icon.open span:nth-child(1) {
  top: 14px;
  width: 0%;
  left: 50%;
}
#nav-icon.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}
#nav-icon.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
#nav-icon.open span:nth-child(4) {
  top: 14px;
  width: 0%;
  left: 50%;
}

/*** SIDENAV ***/
.overlay {
    height: 0;
    width: 0;
    opacity: 0;
    position: fixed;
    z-index: 1001;
    top: 0;
    right: 0;
    background:var(--pink);    
    overflow-y: auto;
    transition: 0.5s;
}
.overlay-content {
    position: absolute;
    top:140px;
    width: 100%;
}
.overlay-content .nav-menu {
    margin: 0;
    padding: 0px 20px;
}
.overlay a {
    font-size: 22px;
    line-height: 42px;
    padding: 0;
    display: block;
    color: var(--dark-blue);
    font-weight: bold;
    text-decoration: none;
    letter-spacing: 1px;
    transition: 0.15s all ease-in-out;
    position: relative;
    padding-left: 20px !important;
}
.overlay a:visited {
    color: var(--dark-blue);
}

.overlay a:hover, .overlay a:focus {
    color: var(--light-blue);   
    text-shadow: none;
}
.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}
@media screen and (max-height: 450px) {
  .overlay a {font-size: 20px}
  .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
  }
}
.open-menu {
  height:100%;
  width:100%;
  opacity: 1;
}
.close-menu {
  height:0;
  width:0;
  opacity: 0;
}

/*** MOBILE TOGGLE MENU ***/
.overlay .menu-item-has-children {
  position: relative;
  cursor: pointer;
}
.overlay .menu-item-has-children a {
  position: relative;
  width: calc(100% - 100px);
}
.overlay ul ul li a {  
  line-height:34px;
}
.overlay ul ul {
  display: none;
  padding-left: 20px;
  margin-bottom:10px;
}
.overlay ul ul a {
  font-size: 16px;
}
.overlay ul ul ul {
  display: block;
}
.overlay .menu-item-has-children .menu-item-has-children:after {
  content:none !important;
}
.overlay ul ul ul a {
  font-size: 12px;
}
.overlay .menu-item-has-children:after {
  content: '\27A4';
  position: absolute;
  right: 24px;
  top: 9px;
  color: var(--dark-blue);
  -webkit-transform: rotate(90deg);
      -ms-transform: rotate(90deg);
          transform: rotate(90deg);
  display: block;
}

/*** FOOTER ***/
#footercontainer {
  background:var(--dark-blue) !important;
  position: relative;
}
.site-footer {
  max-width:1400px;
  margin:0 auto;
  width:100%;
  padding: 60px 30px;
}
.col.grid_3_of_12 {
  width: 25%;
  margin: 0;
  padding: 60px 30px;
}
.site-footer img {
  max-width: 200px !important;
}
.site-footer h3 {
  margin-bottom:20px;
  font-size: 20px;
  color:#fff;
}
.site-footer p {
  font-size: 14px;
  color: #fff;
  letter-spacing: 0.8px;
}
.site-footer ul li {
  font-size: 14px;
  line-height: 1.7;
  color: #fff;
  letter-spacing: 0.8px;
}
.site-footer ul li a {
  font-size: 14px;
  line-height: 1.7;
  color: #fff;
  letter-spacing: 0.8px;
  text-decoration: none;
}
.site-footer ul li a:hover {
  color:var(--light-pink);
}
.site-footer a {  
  color:var(--light-pink);
}
.site-footer a:visited {
  color:#fff;
}
.site-footer a:hover {
  color:var(--light-pink) !important;  
}
.smallprint a, .smallprint p {
  color: #fff !important;
  font-size: 12px !important;
  letter-spacing: 0.5px;
}

/*** KIITOS ***/
.kiitos-container {
  position: relative;
  min-height: 600px;
}
.kiitos-container .site-content {
  position: absolute;
  left:50%;
  top:50%;
  -webkit-transform: translate(-50%,-50%);
      -ms-transform: translate(-50%,-50%);
          transform: translate(-50%,-50%);
  padding:20px;
  max-width: 1200px;
}
.kiitos-container .site-content h1 {
  color:#fff;
  font-weight: 800;
  text-align:center;
  font-size: 68px;
}

/*** 404 ***/
.not-found-container {  
  background-size: cover;
  background-position: center center;
  position: relative;
  min-height: 600px;
}
.not-found-container .site-content {
  position: absolute;
  left:50%;
  top:50%;
  -webkit-transform: translate(-50%,-50%);
      -ms-transform: translate(-50%,-50%);
          transform: translate(-50%,-50%);
  padding:20px;
  max-width: 1200px;
}
.not-found-container .site-content h1 {
  color:#fff;
  font-weight: 800;
  text-align:center;
  font-size: 68px;
}

/*** ADDED CLASSES ***/
.remove-padding {
  padding:0 !important;
}
.remove-padding img {
  width: 100%;
  object-fit: cover;
  margin-bottom: 0;
}

/*** MEDIA QUERIES ***/
@media(max-width:1450px){  
  .grid-25.palvelut {
    width: calc(50% - 20px);
    margin-bottom: 40px;
  }
  .grid-25.blog-post {
    width:calc(50% - 20px);
    margin-bottom:40px;
  }
  .grid-25.blog-post:last-of-type {
    margin-bottom:0;
  }
}

@media(max-width: 1200px){  
  .desktop-menu {
    display: none;
  }
  .mobile-menu {
    display: block;
  } 
  .search-icon {
    right:100px;
  }
  .grid-75.sidemenu-template .grid-50 {
    width:100%;
  }
  .grid-50.grid-50-image {
    order: 2;
  }
  .grid-25.side-menu {
    width: 280px;
  }
  .grid-75.sidemenu-template {
    width: calc(100% - 310px);
  }
}
@media(max-width:991px){
  .grid-33.aiheet {
    width: calc(50% - 20px);
    margin-bottom: 40px;
  }
  .grid-33.aiheet:last-of-type {  
    margin-bottom: 0px;
  }
  .col.grid_3_of_12 {
    width: 100%;
    padding: 0px;
  }
  .site-content h1 {
    font-size: 36px;
  }
  .site-content h2 {
    font-size: 32px;
  }
  .site-content h3 {
    font-size: 26px;
  }
  .site-content h4 {
    font-size: 20px;
  }
}
@media(max-width:768px){  
  .search-container {
    width:400px;
  }
  .home.page .site-content{
    padding:40px 20px;
  }
  .site-content {
    padding:40px 20px;
  }
  .banner-content {
    width:100%;
  }
  .banner-content-top img {
    width:100%;
    max-width: 240px;
  }
  .grid-33.contact {
    padding:0;
    height: 42px;
  }
  .grid-33.contact a {
    left:60px;
  }
  .grid-50.text {
    padding: 0;
  }
  .grid-box-content {
    padding:20px;
  }
  .sininen {
    padding:20px !important;
  }
  .harmaa {
    padding:20px !important;
  }
  .oranssi {
    padding:20px !important;
  }
  .kiitos-container .site-content h1 {
    font-size: 42px;
  }
  .not-found-container .site-content h1 {
    font-size: 42px;
  }
  .grid-25.side-menu {
    width:100%;
    order:2;
    margin-top:40px;
  }
  .grid-75.sidemenu-template {
    width:100%;
  }
  .grid-50 {
    width:100%;
    margin-bottom:20px;
  }
  .grid-50:last-of-type {
    margin-bottom:0;
  }
  .grid-33.aiheet {
    width:100%;
  }
  .grid-25.palvelut {
    width:100%;
  }
  .grid-25.palvelut:last-of-type {
    margin-bottom:0;
  }
  .grid-66 {
    width:100% !important;
  }
  .grid-33 {
    width:100% !important;
  }
  .grid-25.blog-post {
    width:100% !important;
  }
  #scroll-down {
    display: none;
  }
  .some-container {
    right:unset;
    left: 50%;
    transform: translateX(-50%);  
  }
  .some-container a {    
    font-size: 20px;
    padding: 14px;
    width: 48px;
  }
}
@media(max-width:520px){
  .search-container {
    width: 350px;
  }
  .overlay a {
    font-size: 18px;
  }
  .grid-33.contact svg {
    height:24px;
    width:auto;
  }
  .grid-33.contact a {
    font-size: 12px;
    left:42px;
  }
  .kiitos-container .site-content h1 {
    font-size: 28px;
  }
  .not-found-container .site-content h1 {
    font-size: 28px;
  }
  .site-content h1 {
    font-size: 32px;
  }
  .site-content h2 {
    font-size: 28px;
  }
  .site-content h3 {
    font-size: 22px;
  }
  .site-content h4 {
    font-size: 18px;
  }
  .banner-content-bottom p {  
    font-size: 22px;
    line-height: 1.3;
  }
}



/*** 2026 ***/
.grid-75.sidemenu-template.full-width-content {
    width: 100%;
}
.grid-75.sidemenu-template.full-width-content .grid-100 img {
    width: 100%;
}
